

// NOTE: Need to run "Figure 2 Overall Competency Vignette.do" first!
set more off


//EACH VALENCE MEASURE INDIVIDUALLY

//Vars are:
//Avoid_Embarr Craft_Legisl Listen_Citiz New_Ideas Say_Thinking Home_Distric Strong_Leade Work_w_Other

//Avoid_Embarr
// all partisans 
reg Avoid_Embarr T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q1
outreg2 [Q1] using "TableA9.out", replace ctitle(All Partisans) bracket

// Independents
reg Avoid_Embarr T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q1
outreg2 [Q1] using "TableA9.out", append ctitle(Pure Independents) bracket

summ Avoid_Embarr if pid7!=0 & T_Aligned_treatment ==1 
summ Avoid_Embarr if pid7==0 & T_Aligned_treatment ==1 


//Craft_Legisl
// all partisans 
reg Craft_Legisl T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q2
outreg2 [Q2] using "TableA10.out", replace ctitle(All Partisans) bracket

// Independents
reg Craft_Legisl T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q2
outreg2 [Q2] using "TableA10.out", append ctitle(Pure Independents) bracket

summ Craft_Legisl if pid7!=0 & T_Aligned_treatment ==1 
summ Craft_Legisl if pid7==0 & T_Aligned_treatment ==1 


//Listen_Citiz
// all partisans 
reg Listen_Citiz T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q3
outreg2 [Q3] using "TableA11.out", replace ctitle(All Partisans) bracket

// Independents
reg Listen_Citiz T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q3
outreg2 [Q3] using "TableA11.out", append ctitle(Pure Independents) bracket


summ Listen_Citiz if pid7!=0 & T_Aligned_treatment ==1 
summ Listen_Citiz if pid7==0 & T_Aligned_treatment ==1 


//New_Ideas
// all partisans 
reg New_Ideas T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q4
outreg2 [Q4] using "TableA12.out", replace ctitle(All Partisans) bracket

// Independents
reg New_Ideas T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q4
outreg2 [Q4] using "TableA12.out", append ctitle(Pure Independents) bracket


summ New_Ideas if pid7!=0 & T_Aligned_treatment ==1 
summ New_Ideas if pid7==0 & T_Aligned_treatment ==1 

//Say_Thinking
// all partisans 
reg Say_Thinking T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q5
outreg2 [Q5] using "TableA13.out", replace ctitle(All Partisans) bracket

// Independents
reg Say_Thinking T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q5
outreg2 [Q5] using "TableA13.out", append ctitle(Pure Independents) bracket

summ Say_Thinking if pid7!=0 & T_Aligned_treatment ==1 
summ Say_Thinking if pid7==0 & T_Aligned_treatment ==1 

//Home_Distric
// all partisans 
reg Home_Distric T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q6
outreg2 [Q6] using "TableA14.out", replace ctitle(All Partisans) bracket

// Independents
reg Home_Distric T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q6
outreg2 [Q6] using "TableA14.out", append ctitle(Pure Independents) bracket

summ Home_Distric if pid7!=0 & T_Aligned_treatment ==1 
summ Home_Distric if pid7==0 & T_Aligned_treatment ==1 




//Strong_Leade
// all partisans 
reg Strong_Leade T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q7
outreg2 [Q7] using "TableA15.out", replace ctitle(All Partisans) bracket

// Independents
reg Strong_Leade T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q7
outreg2 [Q7] using "TableA15.out", append ctitle(Pure Independents) bracket

summ Strong_Leade if pid7!=0 & T_Aligned_treatment ==1 
summ Strong_Leade if pid7==0 & T_Aligned_treatment ==1 



//Work_w_Other
// all partisans 
reg Work_w_Other T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store Q8
outreg2 [Q8] using "TableA16.out", replace ctitle(All Partisans) bracket

// Independents
reg Work_w_Other T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store Q8
outreg2 [Q8] using "TableA16.out", append ctitle(Pure Independents) bracket


summ Work_w_Other if pid7!=0 & T_Aligned_treatment ==1 
summ Work_w_Other if pid7==0 & T_Aligned_treatment ==1 



///VARIANCE OF EACH ITEM
tabstat compet legislative_ability_index Leadership_Characteristics_index, stat(var) by(group )




//// WEIGHTING BY IDEOLOGY


// 1) weighted so that "not sure" is recoded to be Moderate in CCES to match our survey

gen n_pop = 52692 
gen n_type =.

//using CCES 2016 distribution of ideology
replace n_type = 3657.4852 if ideology7==-3
replace n_type = 6121.7676 if ideology7==-2
replace n_type = 4704.5471 if ideology7==-1
replace n_type = 17126.5815 if ideology7==0
replace n_type = 6349.9869 if ideology7==1
replace n_type = 9899.9329 if ideology7==2
replace n_type = 4831.69916 if ideology7==3

svyset _n, fpc(n_pop) poststrata(ideology7) postweight(n_type)

//test
svy: mean compet

svy: reg compet T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store W1
outreg2 [W1] using "TableA23.out", replace ctitle(All Partisans) bracket

svy: mean compet if pid7 != 0 & T_Aligned_treatment ==1 

svy: reg compet T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store W2
outreg2 [W2] using "TableA23.out", append ctitle(All Partisans) bracket

svy: mean compet if pid7 == 0 & T_Aligned_treatment ==1 

svy: reg legislative_ability_index T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store W3
outreg2 [W3] using "TableA24.out", replace ctitle(All Partisans) bracket

svy: mean legislative_ability_index if pid7 != 0 & T_Aligned_treatment ==1 

svy: reg legislative_ability_index T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store W4
outreg2 [W4] using "TableA24.out", append ctitle(All Partisans) bracket

svy: mean legislative_ability_index if pid7 == 0 & T_Aligned_treatment ==1 


svy: reg Leadership_Characteristics_index T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 != 0
est store W5
outreg2 [W5] using "TableA25.out", replace ctitle(All Partisans) bracket

svy: mean Leadership_Characteristics_index if pid7 != 0 & T_Aligned_treatment ==1 


svy: reg Leadership_Characteristics_index T_Extreme_treatment T_Bipartisan_treatment T_Inconsistent_treatment T_Dem_cand  ///
strong_partisan weak_partisan ///
SomeColl College PostGrad female black hispanic other ///
a30_39 a40_49 a50_59 a60_69 a70_79 a80plus ///
i30k_69k i70k_100k i100k_200k i200k_250k i250kplus ///
Abortion_inserts Guns_inserts Taxes_inserts SocialSecurity_inserts Welfare_inserts /// 
Abort_lib_d guns_lib_d taxes_lib_d SS_lib_d Welfare_lib_d Abort_con_d guns_con_d taxes_con_d SS_con_d Welfare_con_d ///
manager_10_sl manager_10_cc manager_100 manager_100_sl manager_100_cc manager_1000 manager_1000_sl manager_1000_cc ///
if pid7 == 0
est store W6
outreg2 [W6] using "TableA25.out", append ctitle(All Partisans) bracket


svy: mean Leadership_Characteristics_index if pid7 == 0 & T_Aligned_treatment ==1 
